import request from '@/utils/request'

export function printerList(data) {
    return request({
        url: `/user/app/v1/printer/list?page=${data.page}&size=${data.size}&sn=${data.sn || ''}&name=${data.name || ''}`,
        method: 'get',
    })
}


export function printer(data) {
    return request({
        url: `/user/app/v1/printer`,
        method: 'post',
        data: data
    })
}
export function printerEdit(data) {
    return request({
        url: `/user/app/v1/printer`,
        method: 'put',
        data: data
    })
}
export function printerRemove(id) {
    return request({
        url: `/user/app/v1/printer/` + id,
        method: 'delete',
    })
}
