import request from '@/utils/request'

// 注册方法
export function register(data) {
  return request({
    url: '/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}


// 
export function getSMSCode(phone) {
  return request({
    url: '/third/app/v1/third/getSMSCode?phone=' + phone,
    method: 'post',
  })
}

export function phoneLogin(phone, code) {
  return request({
    url: '/user/app/v1/user/phoneLogin?phone=' + phone + '&code=' + code,
    method: 'post',
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/captchaImage',
    headers: {
      isToken: false
    },
    method: 'get',
    timeout: 20000
  })
}