import request from '@/utils/request'

export function orderlist(data) {
    return request({
        url: `/order/app/v1/seller/order/list-v2?page=${data.page}&size=${data.size}&orderStatus=${data.orderStatus}&scopes=${data.scopes}`,
        method: 'get',
    })
}
export function orderDetail(id) {
    return request({
        url: `/order/app/v1/seller/order/detail-v2/` + id,
        method: 'get',
    })
}
export function printerPrint(data) {
    return request({
        url: `/user/app/v1/printer/print`,
        method: 'post',
        data: data
    })
}
export function invoiceV2(id) {
    return request({
        url: `/order/app/v1/seller/order/invoice-v2/` + id,
        method: 'get',
    })
}