import Vue from 'vue'
import App from './App.vue'
import Cookies from 'js-cookie'
import router from './router'
import './permission' // permission control
import Element from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css';
import moment from 'moment'
import { parseTime, resetForm, addDateRange, selectDictLabel, selectDictLabels, handleTree } from "@/utils/ruoyi";
Vue.prototype.resetForm = resetForm
// import './assets/styles/element-variables.scss'
Vue.prototype.$moment = moment
Vue.use(Element, {
  size: Cookies.get('size') || 'medium' // set element-ui default size
})
Vue.config.productionTip = false
new Vue({
  el: '#app',
  router,
  render: h => h(App),
}).$mount('#app')
